<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
  <type name="Magento\Checkout\CustomerData\AbstractItem">
    <plugin name="Change_Product_Image_In_Minicart" type="Alogic\Customtheme\Plugin\Minicart\Image" sortOrder="1" />
  </type>
  <type name="Mageplaza\BannerSlider\Helper\Data">
    <plugin name="modify_banner_collection" type="Alogic\Customtheme\Plugin\BannerHelper" sortOrder="1" />
  </type>
  <type name="Magento\ConfigurableProduct\Model\ResourceModel\Attribute\OptionSelectBuilderInterface">
    <plugin name="Magento_ConfigurableProduct_Plugin_Model_ResourceModel_Attribute_InStockOptionSelectBuilder" disabled="true" />
    <plugin name="Alogic_Customtheme_Magento_ConfigurableProduct_Plugin_Model_ResourceModel_Attribute_InStockOptionSelectBuilder" type="Alogic\Customtheme\Plugin\Model\ResourceModel\Attribute\IsSalableOptionsCustomPlugin" sortOrder="1" />
  </type>
  <type name="Magento\Catalog\Model\Product">
    <plugin name="hidebutton" type="Alogic\Customtheme\Plugin\HideButton" sortOrder="10" disabled="false" />
  </type>
  <preference for="Magento\Checkout\CustomerData\Cart"
                 type="Alogic\Customtheme\CustomerData\Cart" />
</config>

